ru.bitel.bgbilling.modules.sorm.common.bean

## Class SormProject

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.sorm.common.bean.SormProject

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class SormProject
      extends Id

  Бин экземпляра проекта(выгрузки) СОРМ
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SormProject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getConfig()`
    `java.util.Date` | `getCreateDate()`
    `int` | `getId()` Возвращает id объекта
    `java.util.Date` | `getLastModifyDate()`
    `int` | `getProjectType()`
    `java.lang.String` | `getTitle()`
    `int` | `getUserId()`
    `int` | `hashCode()`
    `boolean` | `isEnable()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setConfig(java.lang.String config)`
    `void` | `setCreateDate(java.util.Date createDate)`
    `void` | `setEnable(boolean enable)`
    `void` | `setId(int id)` Устанавливает id объекта
    `void` | `setLastModifyDate(java.util.Date lastModifyDate)`
    `void` | `setProjectType(int projectType)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SormProject

          public SormProject()

  - ### Method Detail

    - #### getId

          public int getId()

      Description copied from class: `Id`
      Возвращает id объекта
      Specified by:
        `getId` in interface `Idable`
      Overrides:
        `getId` in class `Id`
      Returns:

    - #### setId

          public void setId(int id)

      Description copied from class: `Id`
      Устанавливает id объекта
      Overrides:
        `setId` in class `Id`
      Parameters:
        `id` - id

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getConfig

          public java.lang.String getConfig()

    - #### setConfig

          public void setConfig(java.lang.String config)

    - #### getCreateDate

          public java.util.Date getCreateDate()

    - #### setCreateDate

          public void setCreateDate(java.util.Date createDate)

    - #### getLastModifyDate

          public java.util.Date getLastModifyDate()

    - #### setLastModifyDate

          public void setLastModifyDate(java.util.Date lastModifyDate)

    - #### getProjectType

          public int getProjectType()

    - #### setProjectType

          public void setProjectType(int projectType)

    - #### isEnable

          public boolean isEnable()

    - #### setEnable

          public void setEnable(boolean enable)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `Id`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Id`